
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>hive中的排序和分组 / iVAN</title>

    <meta name="description" content="hive中的排序和分组 order by order by 会对输入坐全局排序,因此 只有一个reducer(多个reducer会无法保证全局有序)只有一个reducer,会导致当输入规模较大时,需要较长的计算时间. set hive.mapred.mode =nonstrict;(default value/默认值) set hive.mapred.mode =strict; order by 和数据库中的order by 功能一致,按照某一项或几项的排序输出. 与数据库中order by 的区别在于在 hive.m">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">hive中的排序和分组</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><b>order by</b></p>
<p>order by 会对输入坐全局排序,因此 只有一个reducer(多个reducer会无法保证全局有序)只有一个reducer,会导致当输入规模较大时,需要较长的计算时间.</p>
<p>set hive.mapred.mode =nonstrict;(default value/默认值)</p>
<p>set hive.mapred.mode =strict;</p>
<p>order by 和数据库中的order by 功能一致,按照某一项或几项的排序输出.</p>
<p>与数据库中order by 的区别在于在 hive.mapred.mode=strict 模式下 必须指定limit 否则执行会报错.</p>
<p>hive&gt;select * from test order by id;</p>
<p>FAILED: Error in semantic analysis: 1:28 In strict mode, if ORDER BY is specified, LIMIT must also be specified. Error encountered near token 'id'<br />
原因:在order by 状态下所有数据回到一台服务器进行reduce 操作也只有一个reduce,如果在数据量大的情况下会出现无法输出结果的情况,如果进行limit N 那只有 N*map number条记录而已.只有一个reduce也可以处理过来.</p>
<p><b>sort by</b></p>
<p>sort by 不是全局排序,其在数据进入reducer前完成排序.</p>
<p>因此,如果用sort by 进行排序,并且排序mapred.reduce.tasks&gt;1 则sort by 只保证每个reducer的输出有序 不会保证全局的有序.</p>
<p>sort by 不受 hive.mapred.mode 是否为 stric ,nostrict 的影响</p>
<p>sort by 的数据只能保证在同一个reduce中的数据可以按指定字段排序.</p>
<p>使用sort by 你可以制定执行的reduce个数 (set mapred.reduce.tesks=&lt;number&gt;),对数的数据在执行归并排序,即可得到全部结果.</p>
<p>注意:乐意用limit子句大大减少数据量 使用limit n 后 传输到reduce 端 (单机) 的数据记录数量减少到n*(map个数)否则由于数据过大可能出不了结果.</p>
<p><b>distribute by</b></p>
<p>按照指定的字段对数据进行划分到不同的输出 reduce / 文件中</p>
<p>insert overwrite local directory '/home/hadoop/out' select * from test order by name distribute by length(name);</p>
<p>此方法会根据name的长度划分到不同的reduce中 ,最终输出到不同的文件中</p>
<p>leng 是内建函数 也可以指定其他函数或者使用自定义函数</p>
<p><b>cluster by</b></p>
<p>cluster by 除具有 distribute by 的功能外还兼具 sort by的功能</p>
<p>但是排序只能是倒排序 不能指定排序规则为asc 或者desc.</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 15:39:19</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8%e4%b8%8e%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据存储与数据库">数据存储与数据库</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%8e%92%e5%ba%8f/" title="排序">排序</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>, <a href="https://www.iamivan.net/tag/hive/" title="Hive">Hive</a>, <a href="https://www.iamivan.net/tag/reduce/" title="reduce">reduce</a>, <a href="https://www.iamivan.net/tag/cluster/" title="cluster">cluster</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>hive中的排序和分组的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6ewoM.html" rel="bookmark">Hive中的排序语法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ORDER BY hive中的ORDER BY语句和关系数据库中的sql语法相似.他会对查询结果做全局排序,这意味着所有的数据会传送到一个Reduce任务上,这样会导致在大数量的情况下,花费大量时间. 与数据库中 ORDER BY 的区别在于在hive.mapred.mode = strict模式下,必须指定 limit 否则执行会报错. hive&gt; set hive.mapred.mode=strict; hive&gt; select * from test order by id; FAILE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDekBb.html" rel="bookmark">Hive中如何确定map数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Hive 是基于 Hadoop的一个数据仓库工具,可以将结构化的数据文件映射为一张数据库表,并提供完整的 sql 查询功能,可以将 sq l语句转换为 MapReduce 任务进行运行.当运行一个 hql 语句的时候,map 数是如何计算出来的呢?有哪些方法可以调整 map 数呢? 本文测试集群版本:cdh-4.3.0 . hive 默认的 input format 在 cdh-4.3.0 的 hive 中查看 hive.input.format 值(为什么是hive.input.format?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1r855p.html" rel="bookmark">java-JAVA中的排序，最近有一个工程需要排序算法，求算法大神&period;&period;&period;&period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 JAVA中的排序,最近有一个工程需要排序算法,求算法大神.... 就是list中有一组数据(id),要求将id按照id的一个属性(age)进行两两分组. 若是偶数:按照**age之差最小**的两个id进行分组,两两一组. 若是奇数,则将一个id轮空,剩余id仍按照 age之差最小 这一条件进行两两分组. 求大神解救.或者说说一说思路也行... 解决方案 这里面会用到哪个函数?或者大概步骤是如何的,小白求大家尽量详细点说.... 解决方案二: 给出样例数据和预期的结果. 分组也可以用数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDQYaz.html" rel="bookmark">hive中order by&comma;sort by&comma; distribute by&comma; cluster by作用以及用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. order by     Hive中的order by跟传统的sql语言中的order by作用是一样的,会对查询的结果做一次全局排序,所以说,只有hive的sql中制定了order by所有的数据都会到同一个reducer进行处理(不管有多少map,也不管文件有多少的block只会启动一个reducer).但是对于大量数据这 将会消耗很长的时间去执行.     这里跟传统的sql还有一点区别:如果指定了hive.mapred.mode=strict(默认值是nonstrict),这时就必			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mye0eJM.html" rel="bookmark">sql server 2000里多条件分组和多条件排序，请问排序和分组谁制约谁？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 sql server 2000里多条件分组和多条件排序,请问排序和分组谁制约谁? sql server 2000里多条件分组和多条件排序,请问排序和分组谁制约谁? 解决方案 先分组再排序,那么是分组的优先级高. 解决方案二: SQL Server 分组排序SQL SERVER 动态SQL实现 多条件查询数据sql 多条件排序 解决方案三: 先分组 再排序吧 在sql中,排序是最后执行的 ,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MR1RXeb.html" rel="bookmark">c&plus;&plus;中八大排序算法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				概述 排序有内部排序和外部排序,内部排序是数据记录在内存中进行排序,而外部排序是因排序的数据很大,一次不能容纳全部的排序记录,在排序过程中需要访问外存. 我们这里说说八大排序就是内部排序. 当n较大,则应采用时间复杂度为O(nlog2n)的排序方法:快速排序.堆排序或归并排序序. 快速排序:是目前基于比较的内部排序中被认为是最好的方法,当待排序的关键字是随机分布时,快速排序的平均时间最短:  1.插入排序-直接插入排序(Straight Insertion Sort) 基本思想: 将一个记录插入			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8V779b.html" rel="bookmark">SQL进行排序、分组、统计的10个新技巧分享&lowbar;MsSql</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.使用排序使数据有序通常,你的所有数据真正需要的仅仅是按某种顺序排列.SQL的ORDER BY语句可以以字母或数字顺序组织数据.因此,相似的值按组排序在一起.然而,这个分组时排序的结果,并不是真的分组.ORDER BY显示每条记录而分组可能代表很多记录.2.进行分组除去重复值 排序和分组之间的最大区别是:排序的数据显示所有记录(在限定标准范围之内),而分组数据不是显示所有记录.GROUP BY语句对于同样的值只显示一条记录.例如,下面的语句中的GROUP BY语句对数据源中重复出现的数据只返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZVoAb.html" rel="bookmark">mysql group by 先排序与分组同时使用方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本教程今天要讲述一下关于,困扰使用mysql教程数据库教程的朋友的一个常见的问题,mysql group by 先排序与分组同时使用方法,下面看实例. 看排序 select * from (select * from posts order by dateline desc) group by  tid order by dateline desc limit 10 这样效率应该高点.取消了order   by   的filesort过程. select   *   from   t   whe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M69VROb.html" rel="bookmark">SQL进行排序、分组、统计的10个新技巧分享</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.使用排序使数据有序 通常,你的所有数据真正需要的仅仅是按某种顺序排列.SQL的ORDER BY语句可以以字母或数字顺序组织数据.因此,相似的值按组排序在一起.然而,这个分组时排序的结果,并不是真的分组.ORDER BY显示每条记录而分组可能代表很多记录. 2.进行分组除去重复值 排序和分组之间的最大区别是:排序的数据显示所有记录(在限定标准范围之内),而分组数据不是显示所有记录.GROUP BY语句对于同样的值只显示一条记录.例如,下面的语句中的GROUP BY语句对数据源中重复出现的数据只			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp59yqp.html" rel="bookmark" class="title">iptables在网络中的两个经典应用</a>
					<div>
						一.端口转发: 在详述端口转发之前,先讲一下我日前遇到的一件事情.本人是搞测试的,有一厂家拿了一个服务器软件叫我测试.基于win2k的,端口号为881,服务器直接连接外部网络,客户端通过服器ip来访问 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvxP9z.html" rel="bookmark" class="title">主板常见故障分类及排除方法</a>
					<div>
						主板是PC电脑中集成度最高的配件产品,也是最易出现故障的配件之一.较高的集成度使其维修起来相当麻烦,可维修性越来越低.不过很多时候由主板引起的电脑故障是很容易解决的,只要我们掌握了好的方法,维修起来并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvAAWb.html" rel="bookmark" class="title">IIS7&period;X配置PHP运行环境小结</a>
					<div>
						一.使用IIS运行PHP程序 1.首先下载PHP,这里我下载的是php5.2.14(如果是其他高版本的话可能找不到php5isapi.dll,其相关配置方法暂且不论),建议下载zip压缩包,不需安装就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0eoJp.html" rel="bookmark" class="title">vb变量、常数和数据类型及过程概述（八）</a>
					<div>
						用循环操作数组可以用 For 循环嵌套有效的处理多维数组.例如,在 MatrixA 中基于每个元素在数组中的位置为其赋值:Dim I As Integer, J As IntegerStatic Ma ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRynOdb.html" rel="bookmark" class="title">Symbian学习笔记</a>
					<div>
						Symbian学习笔记(22) - 关于皮肤的小结 Symbian学习笔记(21)--原来还有这个工具wsdl2cpp,访问webserv Symbian学习笔记(20)--用gSOAP更简单地实现W ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaYNkz.html" rel="bookmark" class="title">迅雷下载速度越来越慢解决方法</a>
					<div>
						1.不要把迅雷安装在系统分区:系统分区是Windows操作系统的&quot;老巢&quot;每执行一个任务,都要扫描此分区.迅雷默认安装是系统分区,安装时可以安装到其他分区,可以在一定层次上避免影响系 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYXo2M.html" rel="bookmark" class="title">WIN8&period;1上自带浏览工具咋能上传画面</a>
					<div>
						  首先用户需要关闭IE11浏览器保护模式,用户双击IE11浏览器图标将浏览器打开,操作人员在窗口右上角找到设置图标,使用鼠标点击图标,在下面出现的选项中找到并点击Internet选项. 其次系统会自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72q2Xp.html" rel="bookmark" class="title">360云盘资源怎么快速转移</a>
					<div>
						  360云盘资源怎么快速转移 用网页进云盘下载视频 一次不能打包太多的东西 否则下载下来的可能就是空包 还有 一次打包 最多1g 电影最好是一个一个下载 没绑定过保险箱的 就先绑定保险箱 设置个密码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kYq3M.html" rel="bookmark" class="title">BAT 在下一盘大棋？深度盘点国内四大机器学习开源平台</a>
					<div>
						2015-2016 的机器学习平台开源大潮中,美国是当之无愧的引领者:无论是谷歌.亚马逊.微软.IBM 等互联网巨头,还是美国各大科研院所,为开源世界贡献了品类繁多的机器学习工具.这其中不乏华人的身影 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Z2jdp.html" rel="bookmark" class="title">锚链文字的重要性</a>
					<div>
						摘要: 锚链文字,网站中常用的文字链接,又是一种需要弄明白的关键字变体! 锚链文字的重要性在于,它可以使您从关键字中获得双重好处.当搜索引擎爬虫读取网站中的锚链文字时,它会 锚链文字,网站中常用的文字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5NGQM.html" rel="bookmark" class="title">Android Studio中mitmap</a>
					<div>
						问题描述 Android Studio中mitmap 在Android Studio 中,为什么ImageView引用不了mipmap中的图片? 解决方案 android:src=&quot;@mip ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXYdjz.html" rel="bookmark" class="title">8Manage：从零开始打造电商一体化管理平台</a>
					<div>
						[导读]面对互联网的浪潮,如何应对竞争激烈的电商市场?如何在&quot;双11&quot;等促销活动中脱颖而出?8Manage发展成熟,拥有科学强大的管理系统,让电商企业从零开始规范每一个业务与运营流 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK8N3p.html" rel="bookmark" class="title">请问&colon;SAP 抵消资产的凭证分录在哪个表获取？</a>
					<div>
						问题描述 从以下表中BSAD,BSID,BSAS,BSIS,BSAK,BSIK;在BSIS中找到了一行分录,但凭证的另一个分录不知从哪个表获取?注:凭证类型为&quot;AA&quot;,Tcode为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJqOkp.html" rel="bookmark" class="title">中石油大庆石化120万吨乙烯装置建成</a>
					<div>
						在自给率仅50%左右的乙烯市场,石化巨头都在竞相扩张产能.日前,中石油旗下的大庆石化年产25万吨全密度聚乙烯装置建成,这是大庆石化年产120万吨乙烯改扩建项目中首套建成的主体装置. 中石油集团发布新闻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqnLVp.html" rel="bookmark" class="title">C&plus;&plus;的宏函数能不能通过行号goto的方式加以调用</a>
					<div>
						问题描述 C++的宏函数能不能通过行号goto的方式加以调用 C++的宏函数能不能通过行号goto的方式加以调用?因为我希望在代码终端的时候自动执行另一个代码! 解决方案 参考:http://blog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRQm2p.html" rel="bookmark" class="title">运营商大打资费战凸显数据业务匮乏现状</a>
					<div>
						(记者 舒杰)12月10日消息,&quot;打电话我一般用天翼的号,接电话一般用移动的号,给家里打电话一般用联通的号.&quot;李华近日向通信产业网记者表示. 电信企业重组激活了市场,三大运营商资费 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo5XjM.html" rel="bookmark" class="title">SharePoint 2013 Designer系列之自定义列表表单</a>
					<div>
						在SharePoint的使用中,默认的样式过于单调经常困扰着我们,其实,SharePoint使用Designer工具,可以很轻松解决这一问题,制作出各式各样漂亮的页面.下面,让我们简单介绍下这一过程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwXxWM.html" rel="bookmark" class="title">poi导出excel边框线条不起作用问题</a>
					<div>
						问题描述 主要代码如下HSSFWorkbookworkbook=newHSSFWorkbook();HSSFSheetsheet1=workbook.createSheet(&quot;sheet1& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G57Yp.html" rel="bookmark" class="title">DataTable转成字符串复制到txt文本的小例子&lowbar;实用技巧</a>
					<div>
						自己写了个DataTable转成字符串的方法 复制代码 代码如下: public static string DataTableToString(DataTable dt){string dtstri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOnAgkp.html" rel="bookmark" class="title">农村淘宝淘宝服务站是什么&quest;获得过哪些支持&quest;</a>
					<div>
						一.什么是农村淘宝服务站 农村淘宝是阿里巴巴的战略项目.农村淘宝计划在三至五年内投资100亿元,建立1000个县级服务中心和10万个村级服务站.某个县下属的某个村是否开设农村淘宝服务站,需要阿里与该县 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6wXqM.html" rel="bookmark" class="title">streaming hadoop-hadoop  streaming  求助！！！！！！！！</a>
					<div>
						问题描述 hadoop streaming 求助!!!!!!!! 单机伪分布模式下 老报ERROR求解决 [root@localhost hadoop-1.0.1]# bin/hadoop jar c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6G1oXp.html" rel="bookmark" class="title">在Java程序中基于JUnit的全局单元测试程序</a>
					<div>
						而每个程序模块内又含有众多的单元测试,此时如果程序员还每次都手工跑单元测试的话,工作量将是巨大的,而且这是种无聊的重复性工作.本文将介绍一个基于 Jhttp://www.aliyun.com/zixu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlwmlp.html" rel="bookmark" class="title">以动物为灵感设计的概念飞机：翼龙外形战机</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;       据国外媒体报道,从恐龙到海豚,从鸟类到鱼类,一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nn83p.html" rel="bookmark" class="title">微软转型！Win10不赚钱，永久免费可以有</a>
					<div>
						Win10要永久免费? 也许真的差不多了.微软从Windows 95开始就猛赚钱,但随着Vista和Win8的&quot;搅局&quot;,微软早已开始考虑新的收入来源.虽然XP.Win7.Win8. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYdmjeb.html" rel="bookmark" class="title">Java中如何获取用户mac地址？</a>
					<div>
						问题描述 Java中如何获取用户mac地址? 在Java项目中如何用代码获取用户MAC地址,我用的是w7系统 解决方案 http://blog.163.com/09zzy@126/blog/stati ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0OR7mb.html" rel="bookmark" class="title">PHP 多进程 解决难题&lowbar;php技巧</a>
					<div>
						而且, 如果输入数据非法, 而脚本没有检测, 导致abort, 也会让你很不开心. 那? 怎么办呢? 呵呵, 别着急, 多进程来帮您! 那,这是为什么呢? 优点: 1. 使用多进程, 子进程结束以后, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boOdP3b.html" rel="bookmark" class="title">果壳路由器配置曝光：大容量内存搭配NANDFLASH</a>
					<div>
						果壳电子17日在官网发布首款带触控屏的路由器产品之后,今天该公司终于公布了这款产品的具体配置.据果壳路由官网显示,这款路由器支持最新802.11acWiFi协议,以及双频2.4GHz和5GHz,对比其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyvGYvp.html" rel="bookmark" class="title">制作MSN机器人&comma;如何使用Vc&period;Net调用C&num;编写的&period;net库</a>
					<div>
						问题描述 我想编写一个MSN机器人,并找到相应的MSN协议库,就可以不用研究MSN的协议了.但此MSN协议库(DotMsn)是用C#编写的.net的库,我现在由于对C#不熟悉,还想用VC编写.所以决定 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmdxqBM.html" rel="bookmark" class="title">ie8与ie7按钮图片兼容问题。</a>
					<div>
						问题描述 代码片断为&lt;BUTTONvalue=&quot;刷新&quot;style=&quot;width:30px;&quot;onclick=&quot;refreshBtn()&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M19We9M.html" rel="bookmark" class="title">急急急&excl;&excl;把SERVER2005数据库怎样转换成ACESS数据库</a>
					<div>
						问题描述 数据库chaiwu:表A.表B.表C...用什么方法能把SV2005数据表转换成ACESS数据表?多谢指教! 解决方案 解决方案二:使用SQL的导入/出工具:DTS工具解决方案三:哦,这个应 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
